summaryrefslogtreecommitdiffstats
path: root/textproc
diff options
context:
space:
mode:
authorjmz <jmz@FreeBSD.org>1995-07-21 13:22:21 +0000
committerjmz <jmz@FreeBSD.org>1995-07-21 13:22:21 +0000
commit970c4b405e55b6bd3eb19ac17c6e0cc300ff3924 (patch)
tree3222fad23e79a2abe062eceef69a42e7664d8a2c /textproc
parent3302f8afa7673562ec783cd6106697de8a006ea4 (diff)
downloadFreeBSD-ports-970c4b405e55b6bd3eb19ac17c6e0cc300ff3924.zip
FreeBSD-ports-970c4b405e55b6bd3eb19ac17c6e0cc300ff3924.tar.gz
"I have made a couple of changes to the ispell port so that
you can have either a British dictionary or an American dictionary as they are already built into the prog." Reviewed by: Submitted by: Chris Stenton <jacs@gnome.co.uk> Obtained from:
Diffstat (limited to 'textproc')
-rw-r--r--textproc/ispell/Makefile18
-rw-r--r--textproc/ispell/scripts/configure12
2 files changed, 28 insertions, 2 deletions
diff --git a/textproc/ispell/Makefile b/textproc/ispell/Makefile
index d004d70..d0d9d19 100644
--- a/textproc/ispell/Makefile
+++ b/textproc/ispell/Makefile
@@ -3,7 +3,7 @@
# Date created: 6 November 1994
# Whom: jmz
#
-# $Id$
+# $Id: Makefile,v 1.8 1995/04/15 03:45:43 asami Exp $
#
DISTNAME= ispell-3.1
@@ -22,6 +22,14 @@ DISTFILES+= ${EXTRA_DICT}
MAKE_FLAGS= TMPDIR=${.CURDIR} -f
+pre-extract:
+.if !defined(LANG)
+ @echo '******************************************************'
+ @echo '* Note that you can build a british version by *'
+ @echo '* typing "make british" following a "make clean" *'
+ @echo '******************************************************'
+.endif
+
pre-configure:
.if defined(EXTRA_DICT)
@echo ${EXTRA_DICT} > ${WRKDIR}/extra_dict
@@ -29,6 +37,10 @@ pre-configure:
@echo -n
.endif
+british:
+ @echo "Okay, making a british version of ispell...."
+ @${MAKE} ${.MAKEFLAGS} LANG=british all
+
pre-install:
@mkdir -p ${PREFIX}/bin
@mkdir -p ${PREFIX}/lib
@@ -36,3 +48,7 @@ pre-install:
@mkdir -p ${PREFIX}/man/man4
.include <bsd.port.mk>
+
+
+
+
diff --git a/textproc/ispell/scripts/configure b/textproc/ispell/scripts/configure
index efad2d3..61e3f7f 100644
--- a/textproc/ispell/scripts/configure
+++ b/textproc/ispell/scripts/configure
@@ -24,9 +24,19 @@ if [ -f $WRKDIR/extra_dict ]; then
;;
esac
fi
+
sed -e s:/usr/local:$PREFIX: <local.h.samp >local.h || exit 1;
echo "#undef NO8BIT" >> local.h
-echo "#define LANGUAGES \"{american,MASTERDICTS=american.med+,HASHFILES=americanmed+.hash,EXTRADICT=/usr/share/dict/words}$LOCAL\"" >>local.h ||exit 1;
+case $LANG in
+ british)
+ echo "#define LANGUAGES \"{british,MASTERDICTS=british.xlg,HASHFILES=britishxlg.hash,EXTRADICT=}$LOCAL\"" >>local.h ||exit 1;
+ echo '#define MASTERHASH "britishxlg.hash"' >> local.h
+ break ;;
+ *)
+ echo "#define LANGUAGES \"{american,MASTERDICTS=american.med+,HASHFILES=americanmed+.hash,EXTRADICT=/usr/share/dict/words}$LOCAL\"" >>local.h ||exit 1;
+ :;;
+esac
+
echo "#undef WORDS" >> local.h
echo '#define WORDS "/usr/share/dict/words"' >> local.h
echo '#undef ELISPDIR' >> local.h
OpenPOWER on IntegriCloud